msgpack::type::tuple_type< T & > Struct Template Reference

`#include <cpp03_msgpack_tuple.hpp>`

## Public Types

typedef T | type
typedef T & | value_type
typedef T & | reference
typedef const T & | const_reference
typedef T & | transparent_reference

## Member Typedef Documentation

## const_reference

template<typename T >

typedef const T& msgpack::type::tuple_type< T & >::const_reference

## reference

template<typename T >

typedef T& msgpack::type::tuple_type< T & >::reference

## transparent_reference

template<typename T >

typedef T& msgpack::type::tuple_type< T & >::transparent_reference

## type

template<typename T >

typedef T msgpack::type::tuple_type< T & >::type

## value_type

template<typename T >

typedef T& msgpack::type::tuple_type< T & >::value_type

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/detail/cpp03_msgpack_tuple.hpp